/* -*- ObjC -*- */
#ifndef __included_newmenu_dirty_h
#define __included_newmenu_dirty_h

typedef struct 
{
    unsigned int x, y, w, h;
    /* w = 0, h = 0 denotes non-use. */
} dirty_rectangle_t;

void mark_entire_screen_dirty(void);
void mark_dirty_rectangle(unsigned int x, unsigned int y, unsigned int w, unsigned int h);
void blit_dirty_rectangles(BITMAP *src, BITMAP *dest);

#endif
